playmidi_2.4debian-10build1_amd64.deb


Advertisement

Description

playmidi - MIDI player

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name playmidi
Package version 2.4debian
Package release 10build1
Package architecture amd64
Package type deb
Installed size 252 B
Download size 100.95 KB
Official Mirror archive.ubuntu.com
Playmidi is a MIDI file player that will play back using FM, GUS,
SoundBlaster or external MIDI. It also supports Creative Music Files
(CMF), Microsoft RIFF (RMI) files and large MIDI archives from games
such as Ultima 7.
The player may be used with a text interface or a graphical interface.

Alternatives

Package Version Architecture Repository
playmidi_2.4debian-10build1_i386.deb 2.4debian i386 Ubuntu Universe
playmidi - - -

Requires

Name Value
debconf >= 0.5
debconf-2.0 -
libc6 >= 2.8
libncurses5 >= 6
libtinfo5 >= 6

Conflicts

Name Value
suidmanager << 0.50

Download

Type URL
Binary Package playmidi_2.4debian-10build1_amd64.deb
Source Package playmidi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install playmidi deb package:
    # sudo apt-get install playmidi

Files

Path
/etc/X11/app-defaults/XPlaymidi
/etc/playmidi/drums.o3
/etc/playmidi/drums.sb
/etc/playmidi/std.o3
/etc/playmidi/std.sb
/usr/bin/playmidi
/usr/bin/xplaymidi
/usr/lib/mime/packages/playmidi
/usr/lib/playmidi/xplaymidi
/usr/share/doc/playmidi/BUGS
/usr/share/doc/playmidi/QuickStart.gz
/usr/share/doc/playmidi/README.1ST
/usr/share/doc/playmidi/README.Debian
/usr/share/doc/playmidi/TODO.Debian
/usr/share/doc/playmidi/changelog.Debian.gz
/usr/share/doc/playmidi/copyright
/usr/share/doc/playmidi/examples/bach-invention-01.mid.gz
/usr/share/doc/playmidi/examples/gmstriving.mid.gz
/usr/share/doc/playmidi/examples/jazz.mid.gz
/usr/share/man/man1/playmidi.1.gz
/usr/share/man/man1/xplaymidi.1.gz

Changelog

2016-02-07 - Matthias Klose <doko@ubuntu.com>
playmidi (2.4debian-10build1) xenial; urgency=medium
* No-change rebuild for ncurses6 transition.
2012-11-20 - Darren Salt <devspam@moreofthesa.me.uk>
playmidi (2.4debian-10) unstable; urgency=low
* Change of maintainer address.
* Bump standards version to 3.9.3; bump debhelper compat to 5 (minimal).
* Copyright file fixups (lintian warning).
* Use dpkg-buildflags for hardening.
* Add a versioned build-dep on dpkg-dev.
* Ack NMUs. (Closes: #463252, #488708, #489161, #654813, #665305)
2012-03-30 - Christian Perrier <bubulle@debian.org>
playmidi (2.4debian-9.2) unstable; urgency=low
* Non-maintainer upload.
* Fix pending l10n issues. Debconf translations:
- Danish (Joe Hansen).  Closes: #654813
- Polish (Michał Kułach).  Closes: #665305
2008-06-19 - Christian Perrier <bubulle@debian.org>
playmidi (2.4debian-9.1) unstable; urgency=low
* Non-maintainer upload to fix pending l10n issues.
* Debconf translations
- Japanese. Closes: #463252
- Swedish. Closes: #488708
- Norwegian Bokmål. Closes: #463252
- Turkish. Closes: #489161
2008-01-18 - Darren Salt <linux@youmustbejoking.demon.co.uk>
playmidi (2.4debian-9) unstable; urgency=low
[ Darren Salt ]
* Updated debconf templates & debian/control.		(Closes: #452496)
Reviewed by the debian-l10n-english team as part of the Smith review
project (except that I've lightly tweaked the last sentence of the
package description).
* Various new & updated debconf translations:
- Basque						(Closes: #453297)
- Galician						(Closes: #453330)
- Vietnamese					(Closes: #453377)
- German						(Closes: #453488)
- Finnish						(Closes: #453655)
- Portuguese					(Closes: #453914)
- Spanish, Castilian				(Closes: #454357)
- Italian						(Closes: #454645)
- French						(Closes: #454648)
- Czech						(Closes: #455239)
- Dutch, Flemish					(Closes: #455869)
- Russian						(Closes: #455965)
* Demote the X dependencies to Recommends.		(Closes: #28471)
Use a wrapper for xplaymidi to avoid run-time linkage errors.
(Doable since recommended packages are installed by default.)
* Bumped standards version to 3.7.3; no changes needed.
2007-10-28 - Darren Salt <linux@youmustbejoking.demon.co.uk>
playmidi (2.4debian-8) unstable; urgency=low
* Use debian/compat instead of DH_COMPAT, but stick with level 4 for now.
* Updated standards version to 3.7.2.
* Templates converted to UTF-8.
* Fixed problems with terminal resize (ncurses interface) - now no longer
terminates.
* Use intptr_t for pointer casting.
* Switched to using the included awe_voice.h regardless of target.
It was removed from Linux between 2.6.21 & 2.6.22.	(Closes: #436329)
* Added Dutch debconf translation.			(Closes: #414771)
* Added Portuguese debconf translation.		(Closes: #434062)
* Fixed the --help option.				(Closes: #418819)
* Removed a question mark from the debconf template. Translations need to
be updated to remove the malformed-prompt-in-templates warning.
2006-12-28 - Darren Salt <linux@youmustbejoking.demon.co.uk>
playmidi (2.4debian-7) unstable; urgency=low
* Added Spanish templates translation.		(Closes: #404789)
2006-10-30 - Darren Salt <linux@youmustbejoking.demon.co.uk>
playmidi (2.4debian-6) unstable; urgency=low
* Fixed up various compiler warnings (mostly signedness differences which,
in this case, was all noise).
* Should be libxaw?-dev in previous changelog entries.
* Fixed a segfault when handling gzipped MIDI files.	(Closes: #391888)
2006-03-27 - Darren Salt <linux@youmustbejoking.demon.co.uk>
playmidi (2.4debian-5) unstable; urgency=low
* Build-depend once more on libxaw7-dev, as requested by the X maintainers.

See Also

Package Description
plee-the-bear-data_0.6.0-3.1build1_all.deb data for Plee the Bear
plee-the-bear_0.6.0-3.1build1_amd64.deb 2D platform game
pleiades_1.6.0-3_all.deb Japanese translation plug-in for Eclipse using dynamic AOP
plink1.9_1.90~b3.31-160203-1_amd64.deb whole-genome association analysis toolset
plink_1.07-6_amd64.deb whole-genome association analysis toolset
plinth_0.8.1-1_all.deb web front end for administering every aspect of a FreedomBox
plm_2.6+repack-2_all.deb Programming exerciser in Java, Python, Scala and others
ploop_1.14.1-1_amd64.deb tools to work with ploop devices and images
plopfolio.app_0.1.0-6build4_amd64.deb Personal dashboard for GNUstep
plotdrop_0.5.2-3ubuntu1_amd64.deb A minimal GNOME frontend to GNUPlot
ploticus_2.42-3_amd64.deb script driven business graphics package
plotnetcfg_0.4.1-1_amd64.deb local networking configuration diagram plotter
plotutils_2.6-3ubuntu1_amd64.deb GNU plotutils command line tools based on libplot
plowshare-modules_0~git20160124.8a8190d-1_all.deb plowshare drivers for various file sharing websites
plowshare4_2.1.2-1_all.deb transitional dummy package
Advertisement
Advertisement